Later SharedCLibrary versions

Nick Burrett nick at dsvr.net
Sat Oct 25 08:02:16 PDT 2003


Hi,

The GCC compiler as it stands doesn't work.  This isn't a big deal and 
should easy to fix.  The problem is that I can't use the testsuite 
because it links against UnixLib which has been miscompiled.  The 
solution is to link agained the SCL instead.

The problem is:

*runtest
20000112-1.c
SWI value out of range for module SharedCLibrary


So it looks like I need a library that is slightly newer than version 
4.84 i.e. one that has 32bit support.  From where do I get compatible 
versions of the SCL for RISC OS 3.7 ?


Regards,

Nick.





More information about the gcc mailing list